%define svn_date 20070315
Name:           telescope-server
Version:        0
Release:        0.14.%svn_date%{?dist}
Summary:        Opensource Telescope control servers to interface with stellarium

Group:          Amusements/Graphics
License:        GPLv2+ and LGPLv2+
URL:            http://www.stellarium.org/wiki/index.php/Telescope_Control
# This source was pulled from 
# svn co https://svn.sourceforge.net/svnroot/stellarium/trunk/telescope_server
# based on instructions at http://www.stellarium.org/wiki/index.php/Telescope_Control
Source0:         telescope_server-%svn_date.tar.gz
Patch0:         telescope-server-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
These servers provide remote telescope control of some popular telescopes.
These servers run stand-alone, but are designed to interface with stellarium.

%prep
%setup -q -n telescope_server
%patch0 -p1

%build
cd src
export CCFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS=""
make %{?_smp_mflags} -e


%install
rm -rf $RPM_BUILD_ROOT
cd src
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerDummy $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerLx200 $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerNexStar $RPM_BUILD_ROOT/%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING  gpl.txt  lgpl.txt README stellarium_telescope_protocol.txt
%{_bindir}/*


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.13.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.20070315
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20070315
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 26 2008 Jef Spaleta <jspaleta@fedoraproject.org> - 0-0.4.20070315
- Patches for GCC 4.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0-0.3.20070315
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Jef Spaleta <jspaleta@gmail.com> - 0-0.2.20070315
- Clarify licensing and bump for buildid rebuild

* Thu Mar 15 2007 Jef Spaleta <jspaleta@gmail.com> - 0-0.1.20070315
- Initial RPM release.

